GET /leads/verification/status/{campaign_id}

Authentication

Send your organization API key as a Bearer credential.

Authorization: Bearer YOUR_API_KEY

Path parameters

campaign_id string required

Campaign UUID

Example: 550e8400-e29b-41d4-a716-446655440000

Response

application/json

Verification status retrieved successfully

status string required

Human-readable verification job state

Allowed values: not_running, in_progress, completed

Example: in_progress
message string required

Human-readable explanation of the current state

Example: Lead verification is in progress
percent any required

Progress of the running verification job (0-100), or `false` if no job is running for this campaign. When the job completes the verification row is destroyed and subsequent calls return `false` with the final aggregate counts in `data`.

data object required

Aggregate counts of leads by verification status. Returned when no verification is running (either never started or just finished).

Show child attributes Hide child attributes
data.valid_count number required

Leads classified as valid

Example: 12
data.unknown_count number required

Leads with unknown deliverability

Example: 2
data.accept_all_count number required

Leads on catch-all domains (accept_all)

Example: 4
data.invalid_count number required

Leads classified as invalid

Example: 5
data.disposable_count number required

Leads on disposable email domains

Example: 1